## calypso.util
Class WeakLinkArray

    java.lang.Object
      |
      +--calypso.util.WeakLinkArray

public class WeakLinkArray
extends java.lang.Object

An array of objects whose references are weak. Weak references hold a reference to the object that the GC can break when the object no longer has any hard references.

Constructor Summary
`WeakLinkArray()`

Method Summary
`void` | `addElement(java.lang.Object aObject)`
`boolean` | `contains(java.lang.Object aObject)`
`java.util.Enumeration` | `elements()`
`void` | `removeElement(java.lang.Object aObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeakLinkArray

    public WeakLinkArray()

Method Detail

### addElement

    public void addElement(java.lang.Object aObject)

### removeElement

    public void removeElement(java.lang.Object aObject)

### contains

    public boolean contains(java.lang.Object aObject)

### elements

    public java.util.Enumeration elements()